<%--
    Document   : Template
    Created on : Feb 16, 2010, 4:15:28 PM
    Author     : martin
--%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib prefix="sx" uri="/struts-dojo-tags" %>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <link href="<s:url value="/ground/styles/global.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/header.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/footer.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/menu.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/activemotes.css"/>" rel="stylesheet" type="text/css"/>

        <!--AJAX head -->
        <sx:head/>
        <!-- -->

        <title>Control Panel - About</title>
    </head>
    <body>
        <s:div id="content" >
            <s:include value="/ground/Header.jsp" />
            <s:include value="/ground/Menu.jsp" />
            <s:include value="/ground/Right.jsp" />

            <!-- The core of every page -->
            <s:div id="main">
                <h2>About</h2>

                ControlPanel a is web interface for monitoring wireless sensor networks WSageNt. <br /><br />
                <strong>Author:</strong> Bc. Martin Gábor.<br />
                <strong>Supervisor:</strong> Ing. František Zbořil Ph.D.<br /><br />
                <hr />
                <strong>Description:</strong>
                <ul>
                    <li>web-based information system for developers.</li>
                    <li>
                        <strong>Monitoring:</strong>
                        <ul>
                            <li>online network nodes.</li>
                            <li>message traffic.</li>
                            <li>topology changes.</li>
                        </ul>
                    </li>

                    <li>
                        <strong>Administrating:</strong>
                        <ul>
                            <li>communication.</li>
                            <li>network nodes.</li>
                            <li>messages.</li>
                            <li>topology.</li>
                        </ul>
                    </li>
                </ul>

                <br />

                Supports communication with basestation using <strong>BSComm</strong> application. <br /><br />

                <hr />
                <strong>BSComm Application</strong>
                <ul>
                    <li>is web independent system.</li>
                    <li>communication of local ports.</li>
                    <li>logging all incoming traffic.</li>
                </ul>

                <br />
                <hr />
                &copy; 2010, Martin Gábor, FIT VUT in Brno,  diploma thesis.
            </s:div>

            <s:include value="/ground/Footer.jsp" />
        </s:div>
    </body>
</html>
