<%-- 
    Document   : WSMessageSend
    Created on : Feb 22, 2010, 11:58:01 AM
    Author     : martin
--%>

<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib prefix="sx" uri="/struts-dojo-tags" %>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <link href="<s:url value="/ground/styles/global.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/header.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/footer.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/menu.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/activemotes.css"/>" rel="stylesheet" type="text/css"/>

        <!--AJAX head -->
        <sx:head/>
        <!-- -->

        <title>Control Panel - Send Message</title>
    </head>
    <body>
        <s:div id="content" >
            <s:include value="/ground/Header.jsp" />
            <s:include value="/ground/Menu.jsp" />
            <s:include value="/ground/Right.jsp" />

            <!-- The core of every page -->
            <s:div id="main">
                <h2>Send Message</h2>

                <!-- Inform user of result of the operation-->
                <div class="resultPrinting"><s:property value="responseMessage" /></div>

                <s:form action="WS_MessageSend">
                    <s:textarea key="message" label="Message" cssClass="mediumtextarea"></s:textarea>
                    <s:textfield key="address" label="Address" />
                    <s:submit value="Send" key="paramSend"/>
                </s:form>
            </s:div>

            <s:include value="/ground/Footer.jsp" />
        </s:div>
    </body>
</html>

