// -----------------------------------------------------------
// InternalCommProtocol.java
// -----------------------------------------------------------

package cz.vutbr.wsagent.client;

/**
 * This Class defines the communication protocol
 *
 * @author Martin Gábor
 */
public interface InternalCommProtocol {

    public static final int SENDING_SUCCESS = 0;
    public static final int SENDING_ERROR = 1;
    public static final int SENDING_EXPIRED = 2;
    public static final int SENDING_DEV_BUSY = 3;

    public static final String TYPE_REFRESH = "R";
    public static final String TYPE_AGENT = "A";
    public static final String TYPE_MESSAGE = "M";
    public static final String DIVIDER = ";.,WS,-;";

    // time waiting
    public static final int TIME_WAITING = 300; // 1s = 1000ms

}
