// -----------------------------------------------------------
// CotrnolPanelAction.java
// -----------------------------------------------------------

package cz.vutbr.wsagent.controlpanel;

import com.opensymphony.xwork2.ActionSupport;
import cz.vutbr.wsagent.db.hibernate.DAOFactory;
import cz.vutbr.wsagent.entity.Setting;

/**
 * The main action class that contains global parameters.
 * @author Martin Gábor
 */
public class ControlPanelAction extends ActionSupport {

    protected final static String BASEST_ADDR = "1";
    
    private String responseMessage;
    private Setting setting;

    /**
     * Get the value of responseMessage
     *
     * @return the value of responseMessage
     */
    public String getResponseMessage() {
        return responseMessage;
    }

    /**
     * Set the value of responseMessage
     *
     * @param responseMessage new value of responseMessage
     */
    public void setResponseMessage(String responseMessage) {
        this.responseMessage = responseMessage;
    }

    /**
     * Get the value of setting
     *
     * @return the value of setting
     */
    public Setting getSetting() {
        if (setting==null)
            setting = DAOFactory.getDAOFactory().getSettingDAO().read();
        return setting;
    }

    /**
     * Set the value of setting
     *
     * @param setting new value of setting
     */
    public void setSetting(Setting setting) {
        this.setting = setting;
    }
    
}
