// -----------------------------------------------------------
// LOGRecord.java
// -----------------------------------------------------------

package cz.vutbr.wsagent.util;

/**
 * This class is used for one log record.
 * @author Marek Houšť
 */
public class LOGRecord {

    private long logFromNode;
    private long from;
    private long agentId;
    private long agentClass;
    private long counter;

    /**
     * Get the value of logFromNode
     *
     * @return the value of logFromNode
     */
    public long getLogFromNode() {
        return logFromNode;
    }

    /**
     * Set the value of logFromNode
     *
     * @param logFromNode new value of logFromNode
     */
    public void setLogFromNode(long logFromNode) {
        this.logFromNode = logFromNode;
    }

    /**
     * Get the value of from
     *
     * @return the value of from
     */
    public long getFrom() {
        return from;
    }

    /**
     * Set the value of from
     *
     * @param from new value of from
     */
    public void setFrom(long from) {
        this.from = from;
    }

    /**
     * Get the value of agentClass
     *
     * @return the value of agentClass
     */
    public long getAgentClass() {
        return agentClass;
    }

    /**
     * Set the value of agentClass
     *
     * @param agentClass new value of agentClass
     */
    public void setAgentClass(long agentClass) {
        this.agentClass = agentClass;
    }

    /**
     * Get the value of agentId
     *
     * @return the value of agentId
     */
    public long getAgentId() {
        return agentId;
    }

    /**
     * Set the value of agentId
     *
     * @param agentId new value of agentId
     */
    public void setAgentId(long agentId) {
        this.agentId = agentId;
    }

    /**
     * Get the value of counter
     *
     * @return the value of counter
     */
    public long getCounter() {
        return counter;
    }

    /**
     * Set the value of counter
     *
     * @param counter new value of counter
     */
    public void setCounter(long counter) {
        this.counter = counter;
    }

}
