// -----------------------------------------------------------
// LOGParser.java
// -----------------------------------------------------------

package cz.vutbr.wsagent.util;

import java.util.List;
import java.util.Date;

/**
 * Class for one categorized agent.
 * @author Marek Houšť
 */
public class TracingAgent {

    private long agentClass;
    private long agentId;
    // information from the database
    private Date dateSend;
    // his visited nodes
    private List<Long> motesAddressWhereWas;
    // his movements
    private List<Trace> traceList;
    
    /**
     * Get the value of agentClass
     *
     * @return the value of agentClass
     */
    public long getAgentClass() {
        return agentClass;
    }

    /**
     * Set the value of agentClass
     *
     * @param agentClass new value of agentClass
     */
    public void setAgentClass(long agentClass) {
        this.agentClass = agentClass;
    }

    /**
     * Get the value of agentId
     *
     * @return the value of agentId
     */
    public long getAgentId() {
        return agentId;
    }

    /**
     * Set the value of agentId
     *
     * @param agentId new value of agentId
     */
    public void setAgentId(long agentId) {
        this.agentId = agentId;
    }

    /**
     * Get the value of dateSend
     *
     * @return the value of dateSend
     */
    public Date getDateSend() {
        return dateSend;
    }

    /**
     * Set the value of dateSend
     *
     * @param dateSend new value of dateSend
     */
    public void setDateSend(Date dateSend) {
        this.dateSend = dateSend;
    }

    /**
     * Get the value of motesAddressWhereWas
     *
     * @return the value of motesAddressWhereWas
     */
    public List getMotesAddressWhereWas() {
        return motesAddressWhereWas;
    }

    /**
     * Set the value of motesAddressWhereWas
     *
     * @param motesAddressWhereWas new value of motesAddressWhereWas
     */
    public void setMotesAddressWhereWas(List motesAddressWhereWas) {
        this.motesAddressWhereWas = motesAddressWhereWas;
    }

    /**
     * Get the value of traceList
     *
     * @return the value of traceList
     */
    public List getTraceList() {
        return traceList;
    }

    /**
     * Set the value of traceList
     *
     * @param traceList new value of traceList
     */
    public void setTraceList(List traceList) {
        this.traceList = traceList;
    }

}
