<%-- 
    Document   : Settings
    Created on : Feb 16, 2010, 4:53:42 PM
    Author     : martin
--%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib prefix="sx" uri="/struts-dojo-tags" %>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <link href="<s:url value="/ground/styles/global.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/header.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/footer.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/menu.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/activemotes.css"/>" rel="stylesheet" type="text/css"/>

        <!--AJAX head -->
        <sx:head/>
        <!-- -->

        <title>Control Panel - Settings</title>
    </head>
    <body>
        <s:div id="content" >
            <s:include value="/ground/Header.jsp" />
            <s:include value="/ground/Menu.jsp" />
            <s:include value="/ground/Right.jsp" />

            <!-- The core of every page -->
            <s:div id="main">
                <h2>Settings</h2>

                <!-- Inform user if error occurs-->
                <div class="resultPrinting"><s:property value="responseMessage" /></div>

                <s:form action="SettingSave">
                    <s:textfield key="settingBean.port" label="Port"></s:textfield>
                    <s:textfield key="settingBean.timePeriodNewMessages"
                                 label="Time Period of Checking New Messages (ms)"></s:textfield>
                    <s:textfield key="settingBean.timePeriodActiveMotes" 
                                 label="Time Period of Checking Active Motes (ms)"></s:textfield>
                    <s:textfield key="settingBean.topologyImgPath"
                                 label="Source Path of Topology Images"></s:textfield>
                    <s:submit value="Save" />
                </s:form>

            </s:div>

            <s:include value="/ground/Footer.jsp" />
        </s:div>
    </body>
</html>

