<%--
    Document   : WSAgentSend.jsp
    Created on : Feb 16, 2010, 4:15:28 PM
    Author     : Martin Gábor
--%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib prefix="sx" uri="/struts-dojo-tags" %>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <link href="<s:url value="/ground/styles/global.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/header.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/footer.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/menu.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/activemotes.css"/>" rel="stylesheet" type="text/css"/>

        <!--AJAX head -->
        <sx:head/>
        <!-- -->

        <title>Control Panel - Send/Create Agent</title>
    </head>
    <body>
        <s:div id="content" >
            <s:include value="/ground/Header.jsp" />
            <s:include value="/ground/Menu.jsp" />
            <s:include value="/ground/Right.jsp" />

            <!-- The core of every page -->
            <s:div id="main">
                <h2>Send/Create Agent</h2>

                <!-- Inform user of result of the operation-->
                <span class="resultPrinting"><s:property value="responseMessage" /></span>
                <s:form id="chooser">
                    <%-- SELECT  --%>
                    <s:select name="agentId" list="agents" headerKey="-1"
                              headerValue="None" listKey="id" listValue="name"
                              label="Saved Agents" onchange="dojo.event.topic.publish('/refresh');return false;"/>
                </s:form>

                <s:url id="actionFormFill" action="WS_AgentFormFill"/>

                <sx:div id="SendForm" href="%{actionFormFill}" listenTopics="/refresh"
                        loadingText="Loading.." formId="chooser">
                </sx:div>
            </s:div>


            <s:include value="/ground/Footer.jsp" />
        </s:div>
    </body>
</html>
