
<%--
    Document   : WSSavedAgents.jsp
    Created on : Feb 16, 2010, 4:15:28 PM
    Author     : martin
--%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib prefix="sx" uri="/struts-dojo-tags" %>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <link href="<s:url value="/ground/styles/global.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/header.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/footer.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/menu.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/activemotes.css"/>" rel="stylesheet" type="text/css"/>

        <!-- BASIC JAVASCRIPT FUNCTIONS -->
        <script src="<s:url value="/ground/javascript/basic.js" />" type="text/javascript">
        </script>
        <!-- -->

        <!--AJAX head -->
        <sx:head/>
        <!-- -->

        <title>Control Panel - Agents</title>
    </head>
    <body>
        <s:div id="content" >
            <s:include value="/ground/Header.jsp" />
            <s:include value="/ground/Menu.jsp" />
            <s:include value="/ground/Right.jsp" />

            <!-- The core of every page -->
            <s:div id="main">
                <h2>Saved Agents</h2>

                <!-- Inform user if error occurs-->
                <div class="resultPrinting"><s:property value="responseMessage" /></div>

                <s:if test="agents.size > 0">
                    <table class="table_style1">
                        <s:iterator value="agents">
                            <tr id="row_<s:property value="id"/>">
                                <td><b>Name</b></td>
                                <td>
                                    <s:property value="name" />
                                </td>
                                <td>
                                    <s:url id="deleteAgent" action="WS_DeleteAgent">
                                        <s:param name="agentId"><s:property value="id"/></s:param>
                                    </s:url>
                                    <s:a href="%{deleteAgent}" onclick="return confirmation()">
                                        <img src="<s:url value="/ground/images/icons/delete.jpg" />" alt="Delete Agent"/>
                                    </s:a>
                                </td>
                            </tr>
                            <tr>
                                <td><b>Agent Id</b></td>
                                <td>
                                    <s:property value="agentId" />
                                </td>
                            </tr>
							<tr>
                                <td><b>Class Id</b></td>
                                <td>
                                    <s:property value="classId" />
                                </td>
                            </tr>
                            <tr>
                                <td><b>Description</b></td>
                                <td>
                                    <s:property value="description" />
                                </td>
                            </tr>
                            <tr>
                                <td><b>Plan Base:</b></td>
                                <td>
                                    <s:property value="planBase" />
                                </td>
                            </tr>
                            <tr>
                                <td><b>Plan:</b></td>
                                <td>
                                    <s:property value="plan" />
                                </td>
                            </tr>
                            <tr>
                                <td><b>Belief Base:</b></td>
                                <td>
                                    <s:property value="beliefBase" />
                                </td>
                            </tr>
                            <tr>
                                <td><b>Input Base:</b></td>
                                <td>
                                    <s:property value="inputBase" />
                                </td>
                            </tr>
                            <tr><td><hr /></td><td><hr /></td></tr>
                        </s:iterator>
                    </table>
                </s:if>
                <s:else>
                    No Records.
                </s:else>
                    <br />
                    <img src="<s:url value="/ground/images/icons/new.jpg" />" alt="Add new Agent"/>
                    <a href="<s:url action="WS_AgentSend" />">Add New</a>
            </s:div>

            <s:include value="/ground/Footer.jsp" />
        </s:div>
    </body>
</html>
