// -----------------------------------------------------------
// Message.java
// -----------------------------------------------------------

package cz.vutbr.wsagent.entity;

import java.util.Date;

/**
 * JavaBean of message to save.
 * @author Martin Gábor
 */
public class Message {

    protected long id;
    protected Date date;
    protected String value;
    protected Mote mote;
    protected boolean isNew;
    protected String destAddress;


    /**
     * Get the value of date
     *
     * @return the value of date
     */
    public Date getDate() {
        return date;
    }

    /**
     * Set the value of date
     *
     * @param date new value of date
     */
    public void setDate(Date date) {
        this.date = date;
    }

    /**
     * Get the value of id
     *
     * @return the value of id
     */
    public long getId() {
        return id;
    }

    /**
     * Set the value of id
     *
     * @param id new value of id
     */
    public void setId(long id) {
        this.id = id;
    }

    /**
     * Get the value of value
     *
     * @return the value of value
     */
    public String getValue() {
        return value;
    }

    /**
     * Set the value of value
     *
     * @param value new value of value
     */
    public void setValue(String value) {
        this.value = value;
    }

    /**
     * Get the value of mote
     *
     * @return the value of mote
     */
    public Mote getMote() {
        return mote;
    }

    /**
     * Set the value of mote
     *
     * @param mote new value of mote
     */
    public void setMote(Mote mote) {
        this.mote = mote;
    }

    /**
     * Get the value of isNew
     *
     * @return the value of isNew
     */
    public boolean isIsNew() {
        return isNew;
    }

    /**
     * Set the value of isNew
     *
     * @param isNew new value of isNew
     */
    public void setIsNew(boolean isNew) {
        this.isNew = isNew;
    }

    /**
     * Get the value of destAddress
     *
     * @return the value of destAddress
     */
    public String getDestAddress() {
        return destAddress;
    }

    /**
     * Set the value of destAddress
     *
     * @param destAddress new value of destAddress
     */
    public void setDestAddress(String destAddress) {
        this.destAddress = destAddress;
    }


}
