// -----------------------------------------------------------
// RSSIObject.java
// -----------------------------------------------------------
package cz.vutbr.wsagent.util;

/**
 * This class represents Mote Object with address and a it's signal strength to other mote.
 * @author Martin Gábor
 */
public class RSSIObject {


    private String sourceAddress;
    private String destAddress;
    private int strength;


    /**
     * Get the value of sourceAddress
     *
     * @return the value of sourceAddress
     */
    public String getSourceAddress() {
        return sourceAddress;
    }

    /**
     * Set the value of sourceAddress
     *
     * @param sourceAddress new value of sourceAddress
     */
    public void setSourceAddress(String sourceAddress) {
        this.sourceAddress = sourceAddress;
    }

        /**
     * Get the value of destAddress
     *
     * @return the value of destAddress
     */
    public String getDestAddress() {
        return destAddress;
    }

    /**
     * Set the value of destAddress
     *
     * @param destAddress new value of destAddress
     */
    public void setDestAddress(String destAddress) {
        this.destAddress = destAddress;
    }



    /**
     * Get the value of strength
     *
     * @return the value of strength
     */
    public int getStrength() {
        return strength;
    }

    /**
     * Set the value of strength
     *
     * @param strength new value of strength
     */
    public void setStrength(int strength) {
        this.strength = strength;
    }

}
