// -----------------------------------------------------------
// Trace.java
// -----------------------------------------------------------

package cz.vutbr.wsagent.util;

/**
 * Class for one movement.
 * @author Marek Houšť
 */
public class Trace implements Comparable<Trace> {

    private long from;
    private long to;
    private long counter;


    @Override
    public int compareTo(Trace compareObject)
    {
        if (getCounter() < compareObject.getCounter())
            return -1;
        else if (getCounter() == compareObject.getCounter())
            return 0;
        else return 1;
    }

    /**
     * Get the value of from
     *
     * @return the value of from
     */
    public long getFrom() {
        return from;
    }

    /**
     * Set the value of from
     *
     * @param from new value of from
     */
    public void setFrom(long from) {
        this.from = from;
    }

    /**
     * Get the value of to
     *
     * @return the value of to
     */
    public long getTo() {
        return to;
    }

    /**
     * Set the value of to
     *
     * @param to new value of to
     */
    public void setTo(long to) {
        this.to = to;
    }

    /**
     * Get the value of counter
     *
     * @return the value of counter
     */
    public long getCounter() {
        return counter;
    }

    /**
     * Set the value of counter
     *
     * @param counter new value of counter
     */
    public void setCounter(long counter) {
        this.counter = counter;
    }

}
