<%-- 
    Document   : WSAddEdit
    Created on : May 2, 2010, 11:03:01 AM
    Author     : Martin Gábor
--%>

<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib prefix="sx" uri="/struts-dojo-tags" %>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <link href="<s:url value="/ground/styles/global.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/header.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/footer.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/menu.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/activemotes.css"/>" rel="stylesheet" type="text/css"/>

        <!--AJAX head -->
        <sx:head/>
        <!-- -->

        <title>Control Panel - Add/Edit Mote</title>
    </head>
    <body>
        <s:div id="content" >
            <s:include value="/ground/Header.jsp" />
            <s:include value="/ground/Menu.jsp" />
            <s:include value="/ground/Right.jsp" />

            <!-- The core of every page -->
            <s:div id="main">
                <h2>Add/Edit Mote</h2>

                <h3>New/Edit item:</h3>
                <s:form action="WS_SaveMote">
                    <%-- if editing, address can not be changed --%>
                    <s:if test="moteAddress !=null">
                        <s:textfield key="moteBean.address" label="Address" readonly="true" />
                    </s:if>
                    <s:else>
                        <s:textfield key="moteBean.address" label="Address" />
                    </s:else>
                    <s:textfield key="moteBean.name" label="Name"/>
                    <s:textfield key="moteBean.description" label="Description"
                                 cssClass="smalltextarea"/>
                    <s:if test="moteAddress !=null"><s:hidden name="moteAddress" /></s:if>
                    <s:submit value="Save"/>
                </s:form>
            </s:div>

            <s:include value="/ground/Footer.jsp" />
        </s:div>
    </body>
</html>

