<%-- 
    Document   : WSCommMonitor
    Created on : May 19, 2010, 6:40:39 PM
    Author     : martin
--%>

<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib prefix="sx" uri="/struts-dojo-tags" %>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <link href="<s:url value="/ground/styles/global.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/header.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/footer.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/menu.css"/>" rel="stylesheet" type="text/css"/>
        <link href="<s:url value="/ground/styles/activemotes.css"/>" rel="stylesheet" type="text/css"/>

        <!-- BASIC JAVASCRIPT FUNCTIONS -->
        <script src="<s:url value="/ground/javascript/basic.js" />" type="text/javascript">
        </script>
        <!-- -->

        <!--AJAX head -->
        <sx:head/>
        <!-- -->

        <title>Control Panel - Communication Monitor</title>
    </head>
    <body>
        <s:div id="content" >
            <s:include value="/ground/Header.jsp" />
            <s:include value="/ground/Menu.jsp" />
            <s:include value="/ground/Right.jsp" />

            <!-- The core of every page -->
            <s:div id="main">
                <h2>Communication Monitor</h2>

                <!-- Inform user if error occurs-->
                <div class="resultPrinting"><s:property value="responseMessage" /></div>

                <s:if test="messages.size > 0">
                    <table class="table_style1">
                            <tr><th>Date</th><th>Source Address</th><th>Dest. Address</th><th>Value</th><th>Delete</th></tr>
                        <s:iterator value="messages">
                            <tr id="row_<s:property value="id"/>">
                                <td class="table_defin">
                                    <s:date name="date" />
                                    <s:if test="isNew == true"> <span class="new">(new)</span></s:if>
                                </td>
                                <td>
                                    <s:property value="mote.address" />
                                </td>
                                <td>
                                    <s:property value="destAddress" />
                                </td>
                                <td>
                                    <s:property value="value" />
                                </td>
                                <td>
                                    <s:url id="deleteMessage" action="WS_DeleteMessage">
                                        <s:param name="messageId"><s:property value="id"/></s:param>
                                        <s:param name="moteAddress"><s:property value="mote.address"/></s:param>
                                        <s:param name="from">WSCommMonitor</s:param>
                                    </s:url>
                                    <s:a href="%{deleteMessage}" onclick="return confirmation()">
                                        <img src="<s:url value="/ground/images/icons/delete.jpg" />" alt="Delete Message"/>
                                    </s:a>
                                </td>
                            </tr>
                        </s:iterator>
                    </table>
                </s:if>
                <s:else>
                    No Records.
                </s:else>


            </s:div>

            <s:include value="/ground/Footer.jsp" />
        </s:div>
    </body>
</html>
